---
title: "亚马逊热销商品 API (V1)"
description: "获取指定国家市场中按分类路径的分页亚马逊热销商品。用于研究品类领导者、发现热门商品或跨市场比较热销页面。"
aiUsagePrompt: true
---

# 亚马逊热销商品 API \(V1\)

<ApiTester
  method="GET"
  :path='JSON.parse("\"/api/amazon/get-best-sellers/v1\"")'
  :summary='JSON.parse("\"热销商品 (V1)\"")'
  openapiDefinitionUrl="https://docs.justoneapi.com/openapi/amazon/best-sellers-v1-zh.json"
  openapiVersion="3.1.0"
  :parameters='JSON.parse("[{\"name\":\"token\",\"in\":\"query\",\"description\":\"此API服务的鉴权令牌。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"category\",\"in\":\"query\",\"description\":\"从亚马逊热销商品URL中提取的热销商品分类路径。可以是分类标识或嵌套分类路径。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"country\",\"in\":\"query\",\"description\":\"亚马逊产品的国家代码。\\n\\n可用值：\\n- `US`: 美国\\n- `AU`: 澳大利亚\\n- `BR`: 巴西\\n- `CA`: 加拿大\\n- `CN`: 中国\\n- `FR`: 法国\\n- `DE`: 德国\\n- `IN`: 印度\\n- `IT`: 意大利\\n- `MX`: 墨西哥\\n- `NL`: 荷兰\\n- `SG`: 新加坡\\n- `ES`: 西班牙\\n- `TR`: 土耳其\\n- `AE`: 阿拉伯联合酋长国\\n- `GB`: 英国\\n- `JP`: 日本\\n- `SA`: 沙特阿拉伯\\n- `PL`: 波兰\\n- `SE`: 瑞典\\n- `BE`: 比利时\\n- `EG`: 埃及\\n- `ZA`: 南非\\n- `IE`: 爱尔兰\",\"required\":false,\"schema\":{\"type\":\"string\",\"default\":\"US\",\"description\":\"亚马逊产品的国家代码。\",\"enum\":[\"US\",\"AU\",\"BR\",\"CA\",\"CN\",\"FR\",\"DE\",\"IN\",\"IT\",\"MX\",\"NL\",\"SG\",\"ES\",\"TR\",\"AE\",\"GB\",\"JP\",\"SA\",\"PL\",\"SE\",\"BE\",\"EG\",\"ZA\",\"IE\"]}},{\"name\":\"page\",\"in\":\"query\",\"description\":\"用于分页的页码。\",\"required\":false,\"schema\":{\"type\":\"integer\",\"format\":\"int32\",\"default\":1}}]")'
  :requestBody='JSON.parse("null")'
  :responses='JSON.parse("{\"200\":{\"description\":\"好的\",\"content\":{\"application/json\":{\"schema\":{\"if\":{\"properties\":{\"code\":{\"const\":0}},\"required\":[\"code\"]},\"then\":{\"properties\":{\"data\":{\"type\":\"object\",\"description\":\"所选类目和站点的 Amazon 畅销商品排名。\",\"properties\":{\"best_sellers\":{\"type\":\"array\",\"description\":\"当前页返回的畅销商品。继续查看同一类目和站点时，递增 page 页码。\",\"items\":{\"type\":\"object\",\"description\":\"该类目畅销榜上的一件 Amazon 商品。\",\"properties\":{\"rank\":{\"type\":\"integer\",\"description\":\"该商品在类目畅销榜中返回的排名。\"},\"asin\":{\"type\":\"string\",\"description\":\"商品的 Amazon 标准识别号（ASIN）。\"},\"product_title\":{\"type\":\"string\",\"description\":\"畅销榜中展示的商品标题。\"},\"product_price\":{\"type\":[\"string\",\"null\"],\"description\":\"所选站点的商品价格展示文字，不可用时为 null。\"},\"product_star_rating\":{\"type\":[\"string\",\"null\"],\"description\":\"商品星级的展示文字，不可用时为 null。\"},\"product_num_ratings\":{\"type\":[\"integer\",\"null\"],\"description\":\"商品返回的评分次数，不可用时为 null。\"},\"product_url\":{\"type\":\"string\",\"description\":\"商品的 Amazon 公开链接。\"},\"product_photo\":{\"type\":\"string\",\"description\":\"商品返回的图片链接。\"},\"rank_change_label\":{\"description\":\"排名变化的展示标签。已核验的样本返回 null。\"}}}},\"category_name\":{\"type\":\"string\",\"description\":\"畅销榜类目的显示名称。\"},\"country\":{\"type\":\"string\",\"description\":\"本次响应对应的 Amazon 站点国家或地区代码。\"},\"domain\":{\"type\":\"string\",\"description\":\"本次响应对应的 Amazon 站点域名。\"}}}}},\"allOf\":[{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}]}}}},\"400\":{\"description\":\"请求参数或请求体无效\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"401\":{\"description\":\"访问令牌无效或未激活\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"403\":{\"description\":\"权限不足\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"429\":{\"description\":\"请求速率或每日配额已超限\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"500\":{\"description\":\"服务器内部错误\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"503\":{\"description\":\"服务暂时不可用\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}}}")'
  :servers='JSON.parse("[{\"url\":\"https://api.justoneapi.com\",\"description\":\"全球生产 API（默认）\"}]")'
  :security='JSON.parse("[]")'
  :securitySchemes='JSON.parse("{}")'
  :schemas='JSON.parse("{}")'
/>

<ApiHealthSection :api='JSON.parse("\"/api/amazon/get-best-sellers/v1\"")' />

<p>获取指定国家市场中按分类路径的分页亚马逊热销商品。用于研究品类领导者、发现热门商品或跨市场比较热销页面。</p>

## 请求参数

<div class="api-doc-table api-doc-table--params">

| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
| --- | --- | --- | --- | --- | --- |
| <code>token</code> | query | <code>string</code> | 是 | - | 此API服务的鉴权令牌。 |
| <code>category</code> | query | <code>string</code> | 是 | - | 从亚马逊热销商品URL中提取的热销商品分类路径。可以是分类标识或嵌套分类路径。 |
| <code>country</code> | query | <code>string</code> | 否 | <code>US</code> | 亚马逊产品的国家代码。<br /><br><br>可用值：<br /><br>- <code>US</code>: 美国<br /><br>- <code>AU</code>: 澳大利亚<br /><br>- <code>BR</code>: 巴西<br /><br>- <code>CA</code>: 加拿大<br /><br>- <code>CN</code>: 中国<br /><br>- <code>FR</code>: 法国<br /><br>- <code>DE</code>: 德国<br /><br>- <code>IN</code>: 印度<br /><br>- <code>IT</code>: 意大利<br /><br>- <code>MX</code>: 墨西哥<br /><br>- <code>NL</code>: 荷兰<br /><br>- <code>SG</code>: 新加坡<br /><br>- <code>ES</code>: 西班牙<br /><br>- <code>TR</code>: 土耳其<br /><br>- <code>AE</code>: 阿拉伯联合酋长国<br /><br>- <code>GB</code>: 英国<br /><br>- <code>JP</code>: 日本<br /><br>- <code>SA</code>: 沙特阿拉伯<br /><br>- <code>PL</code>: 波兰<br /><br>- <code>SE</code>: 瑞典<br /><br>- <code>BE</code>: 比利时<br /><br>- <code>EG</code>: 埃及<br /><br>- <code>ZA</code>: 南非<br /><br>- <code>IE</code>: 爱尔兰 |
| <code>page</code> | query | <code>integer</code> | 否 | <code>1</code> | 用于分页的页码。 |

</div>

## 代码示例

::: code-group

```bash [🐚 cURL]
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE'
```

```text [🤖 AI 提示词]
我想使用 JustOneAPI 提供的“热销商品 (V1)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE
接口地址: BASE_URL + /api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/amazon/best-sellers-v1-zh.json

请求参数说明:
- token (query): 此API服务的鉴权令牌。 (必填)
- category (query): 从亚马逊热销商品URL中提取的热销商品分类路径。可以是分类标识或嵌套分类路径。 (必填)
- country (query): 亚马逊产品的国家代码。

可用值：
- `US`: 美国
- `AU`: 澳大利亚
- `BR`: 巴西
- `CA`: 加拿大
- `CN`: 中国
- `FR`: 法国
- `DE`: 德国
- `IN`: 印度
- `IT`: 意大利
- `MX`: 墨西哥
- `NL`: 荷兰
- `SG`: 新加坡
- `ES`: 西班牙
- `TR`: 土耳其
- `AE`: 阿拉伯联合酋长国
- `GB`: 英国
- `JP`: 日本
- `SA`: 沙特阿拉伯
- `PL`: 波兰
- `SE`: 瑞典
- `BE`: 比利时
- `EG`: 埃及
- `ZA`: 南非
- `IE`: 爱尔兰
- page (query): 用于分页的页码。

返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。

响应处理与错误码：
1. 需通过返回体中的 "code" 字段判断业务结果（code 为 0 表示成功）。
2. 超时建议：建议将请求超时时间设置为 120 秒；如果 120 秒偏长，请至少设置为 60 秒，但可能会有少量请求因超时而未接收到结果。
3. 业务码说明：
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败，请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨，多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口，并处理返回结果。
```

```python [🐍 Python]
import requests

BASE_URL = "https://api.justoneapi.com"  # 由 OpenAPI servers 提供

url = BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
```

```js [🌐 JavaScript]
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
```

```java [☕ Java]
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
        final String url = BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
```

```go [🐹 Go]
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
```

```php [🐘 PHP]
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}
```

:::

<div style="text-align: right; margin-top: -20px; margin-bottom: 20px;">
<a href="/openapi/amazon/best-sellers-v1-zh.json" target="_blank" style="font-size: 12px; color: var(--vp-c-text-3); text-decoration: none; opacity: 0.8;">[OpenAPI 定义 (JSON)]</a>
</div>

## 返回字段

业务成功时（`code = 0`）的主要返回字段。

<div class="api-doc-table api-doc-table--response">

| 字段路径 | 类型 | 说明 |
| --- | --- | --- |
| <code>data</code> | <code>object</code> | 所选类目和站点的 Amazon 畅销商品排名。 |
| <code>data.best_sellers</code> | <code>array</code> | 当前页返回的畅销商品。继续查看同一类目和站点时，递增 page 页码。 |
| <code>data.best_sellers[]</code> | <code>object</code> | 该类目畅销榜上的一件 Amazon 商品。 |
| <code>data.best_sellers[].rank</code> | <code>integer</code> | 该商品在类目畅销榜中返回的排名。 |
| <code>data.best_sellers[].asin</code> | <code>string</code> | 商品的 Amazon 标准识别号（ASIN）。 |
| <code>data.best_sellers[].product_title</code> | <code>string</code> | 畅销榜中展示的商品标题。 |
| <code>data.best_sellers[].product_price</code> | <code>string &#124; null</code> | 所选站点的商品价格展示文字，不可用时为 null。 |
| <code>data.best_sellers[].product_star_rating</code> | <code>string &#124; null</code> | 商品星级的展示文字，不可用时为 null。 |
| <code>data.best_sellers[].product_num_ratings</code> | <code>integer &#124; null</code> | 商品返回的评分次数，不可用时为 null。 |
| <code>data.best_sellers[].product_url</code> | <code>string</code> | 商品的 Amazon 公开链接。 |
| <code>data.best_sellers[].product_photo</code> | <code>string</code> | 商品返回的图片链接。 |
| <code>data.best_sellers[].rank_change_label</code> | - | 排名变化的展示标签。已核验的样本返回 null。 |
| <code>data.category_name</code> | <code>string</code> | 畅销榜类目的显示名称。 |
| <code>data.country</code> | <code>string</code> | 本次响应对应的 Amazon 站点国家或地区代码。 |
| <code>data.domain</code> | <code>string</code> | 本次响应对应的 Amazon 站点域名。 |

</div>

## 响应示例

<ApiExampleSection :api='JSON.parse("\"/api/amazon/get-best-sellers/v1\"")' />

